> ## Documentation Index
> Fetch the complete documentation index at: https://developer.sandbox.co.in/llms.txt
> Use this file to discover all available pages before exploring further.

# Job

> Poll a foreign securities Tax P&L job by job_id and auth headers to get its latest status and metadata.

<Card title="Run in Postman" icon="https://mintcdn.com/sandboxfinancialtechnologiesprivatelimited/gviqebbpT5NUt_6i/static/svg/Postman.svg?fit=max&auto=format&n=gviqebbpT5NUt_6i&q=85&s=da47f2b7e10d87befec951aed9468de3" horizontal arrow="true" href="https://www.postman.com/in-co-sandbox/sandbox-api/request/i09pzgu/get-job-status" width="2030" height="2031" data-path="static/svg/Postman.svg" />


## OpenAPI

````yaml api-reference/it/openapi.json GET /it/calculator/tax-pnl/securities/foreign
openapi: 3.1.0
info:
  title: Sandbox API [Prod]
  version: '1.0'
servers:
  - url: https://test-api.sandbox.co.in
    description: test
  - url: https://api.sandbox.co.in
    description: prod
security:
  - {}
paths:
  /it/calculator/tax-pnl/securities/foreign:
    get:
      tags:
        - tax-pnl
        - securities
        - foreign
      summary: Get Job Status
      parameters:
        - name: job_id
          in: query
          required: false
          description: >-
            Unique identifier of the job whose processing status you want to
            fetch. Returned in the response when a tax P&L job is created.
          deprecated: false
          schema: {}
          example: '{{tax_pnl_job_id}}'
        - name: Authorization
          in: header
          required: true
          description: >-
            Bearer token for user-level authorization. Typically passed as
            Bearer {{access_token}}.
          deprecated: false
          schema:
            type: string
          example: '{{access_token}}'
        - name: x-api-key
          in: header
          required: true
          description: Your API key used to authenticate and authorize the request.
          deprecated: false
          schema:
            type: string
          example: '{{api_key}}'
        - name: x-api-version
          in: header
          description: >-
            Indicates the version of the API you want to use. Ensures
            backward-compatible behavior.
          schema:
            type: string
            default: 1.0.0
          example: '{{version}}'
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: integer
                  timestamp:
                    type: integer
                  data:
                    type: object
                    properties:
                      created_at:
                        type: integer
                      updated_at:
                        type: integer
                      '@entity':
                        type: string
                      security_type:
                        type: string
                      status:
                        type: string
                      job_id:
                        type: string
                  transaction_id:
                    type: string
              example:
                code: 200
                timestamp: 1764238516423
                data:
                  created_at: 1764238413653
                  updated_at: 1764238413653
                  '@entity': in.co.sandbox.it.calculator.tax_pnl.securities.job
                  security_type: foreign
                  status: created
                  job_id: d56aded2-8632-44ca-9283-240a2b6ba3e2
                transaction_id: 3d334c06-eaa1-4fbc-92be-8cfc378fde7f
        '500':
          description: Failed to get job
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: integer
                  timestamp:
                    type: integer
                  message:
                    type: string
                  transaction_id:
                    type: string
              example:
                code: 500
                timestamp: 1764322244126
                message: Failed to get job
                transaction_id: 70a13e97-99bc-4dec-8e30-e7b720fdd0b6

````